# DataGridViewCellValidatingEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [CellValidating](/api/wisej.web/lists-and-grids/datagridview.md#cellvalidating) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCellValidatingEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCellValidatingEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the column index of the cell that needs to be validated.

### ![](/files/hsR4ok3152WyAf8J2C1u) FormattedValue

[Object](https://docs.microsoft.com/dotnet/api/system.object): Return or sets the formatted contents of the cell that needs to be validated.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the row index of the cell that needs to be validated.

## Used By

| Name                                                                                                                                      | Description                                                                                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewCellValidatingEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellvalidatingeventhandler.md) | Represents the method that will handle the [CellValidating](/api/wisej.web/lists-and-grids/datagridview.md#cellvalidating) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellvalidatingeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
